From 3246d36c0a1ea2aebfb9f3de9ab5285635a9ed0c Mon Sep 17 00:00:00 2001
From: Luciano Bello <luciano@debian.org>
Date: Thu, 8 Oct 2015 12:02:15 -0700
Subject: =?UTF-8?q?From=20http://code.google.com/p/pyevent/issues/detail?=
 =?UTF-8?q?=3Fid=3D23#c2=20.=0APatch-Name:=2001=5Favoid=5Fevent=5Fsigcb?=

---
 event.pyx | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

diff --git a/event.pyx b/event.pyx
index b10ad31..ac3bbe1 100644
--- a/event.pyx
+++ b/event.pyx
@@ -52,6 +52,7 @@ cdef extern from "event.h":
                    event_handler handler, void *arg)
     void evtimer_set(event_t *ev, event_handler handler, void *arg)
     int  event_add(event_t *ev, timeval *tv)
+    int  event_loopbreak()
     int  event_del(event_t *ev)
     int  event_dispatch() nogil
     int  event_loop(int loop) nogil
@@ -68,19 +69,13 @@ EV_PERSIST = 0x10
 
 __event_exc = None
 
-cdef int __event_sigcb():
-    return -1
-
 cdef void __event_abort():
     global __event_exc
-    cdef extern int event_gotsig
-    cdef extern int (*event_sigcb)()
-    
+    cdef timeval tv
+    event_loopbreak()
     __event_exc = sys.exc_info()
     if __event_exc[0] is None:
         __event_exc = None
-    event_sigcb = __event_sigcb
-    event_gotsig = 1
 
 cdef void __event_handler(int fd, short evtype, void *arg) with gil:
     (<object>arg).__callback(evtype)
